PAP(1)

NAME
pap, papstatus - client interface to remote printers using Printer Access Protocol

SYNOPSIS
pap [ -c ] [ -e ] [ -p nbpname ] [ -s statusfile ] [ files ]

papstatus [ -p nbpname ]

DESCRIPTION
pap is used to connect and send files to an AppleTalk connected printer using the Apple Printer Access Protocol (PAP). When pap starts execution, it tries to open a session with the printer using PAP, and then downloads the files to the printer.

If no files are given on the command line, pap begins reading from standard input.

If no printer is specified on the command line, pap looks for a file called .paprc in the current working directory and reads it to obtain the nbpname of a printer. Blank lines and lines that begin with a `#' are ignored. type and zone default to LaserWriter and the zone of the local host, respectively.

Note that pap is designed to be useful as a communication filter for sending lpd(8) spooled print jobs to AppleTalk connected printers. See psf(8) for hints on how to use it this way.

OPTIONS

-c  Take cuts. Normally pap tells the printer how long it has been waiting. When -c is specified, pap claims to have been waiting forever.

-e  Send any message from the printer to stderr instead of stdout. psf(8) invokes pap with this option.

-p nbpname
Connect to the printer named nbpname and do not consult the .paprc file to find a printer name. See nbp_name(3) for the syntax of nbpname.

-s statusfile
Update the file called statusfile to contain the most recent status message from the printer. pap gets the status from the printer when it is waiting for the printer to process input. The statusfile will contain a single line terminated with a newline. This is useful when pap is invoked by psf(8) within lpd's spool directory.

FILES

.paprc
    file that contains printer name

SEE ALSO
nbp_name(3), lpd(8), psf(8).